Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 130588 - Reindent Structure Words Automatically
Reindent Structure Words Automatically
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Rastislav Komara
issues@javafx
http://wiki.netbeans.org/JavaFXEditor...
:
Depends on:
Blocks: 130138
  Show dependency treegraph
 
Reported: 2008-03-19 22:28 UTC by David Strupl
Modified: 2008-07-16 12:01 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2008-03-19 22:28:45 UTC
Reindent Structure Words Automatically
Comment 1 Martin Ryzl 2008-04-07 14:44:11 UTC
review Apr/7 - re-format is way too difficult, re-indent might me possible
Comment 2 Rastislav Komara 2008-04-09 15:42:33 UTC
started
Comment 3 Jiri Prox 2008-04-11 00:31:18 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 4 Jiri Prox 2008-04-11 09:11:44 UTC
restoring original TM, sorry for any inconvenience
Comment 5 Rastislav Komara 2008-04-11 09:49:28 UTC
Sorry, this is not finished yet :).
Comment 6 Rastislav Komara 2008-04-14 14:26:26 UTC
This issue is dealing with re-indent only now.
Comment 7 Rastislav Komara 2008-04-16 14:45:34 UTC
Indent based on lexer only is implemented. This is not reformat! Just push line stars around. Not moves code.
Comment 8 Alexandr Scherbatiy 2008-07-16 12:01:21 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo